Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.core
Class Stripe

    java.lang.Object
      org.eclipse.contribution.visualiser.core.Stripe

All Implemented Interfaces:
  java.lang.Comparable

Direct Known Subclasses:
  MarkerMarkupProvider.StripeWithMarker

public class Stripe
extends java.lang.Object
implements java.lang.Comparable

The stripe class represents a mark on a bar, stripes can be any depth and be of multiple 'kinds' (kinds map to colors).

Constructor Summary
`Stripe()` Default constructor
`Stripe(IMarkupKind k, int i)` Stripe constructor when the stripe is of the minimum depth (1).
`Stripe(IMarkupKind k, int o, int d)` Stripe constructor where the kind, offset and depth can be specified.
`Stripe(java.util.List ks, int o, int d)` Stripe constructor where the kinds, offset and depth can be specified.

Method Summary
`void` | `addKinds(java.util.List list)` Add the given kinds to this stripe
`int` | `compareTo(java.lang.Object other)` Compare this Stripe to another Object, which should be a Stripe.
`boolean` | `equals(java.lang.Object that)` Returns true if the given Object is equal to this stripe
`int` | `getDepth()` Get this Stripe's depth
`java.util.List` | `getKinds()` Getter for the kinds of this stripe.
`int` | `getOffset()` Get the offset for this Stripe
`java.lang.String` | `getToolTip()` Get the tooltip for this Stripe, which is a list of its kinds
`boolean` | `hasKind(IMarkupKind kind)` Returns true if this Stripe has the given kind
`void` | `setDepth(int i)` Set the depth for this Stripe
`void` | `setKinds(java.util.List list)` Set the list of kinds for this Stripe to the given argument
`void` | `setOffset(int offset)` Set the offset for this Stripe
`java.lang.String` | `stringifyKinds()` Get a string representation of the kinds in this Stripe
`java.lang.String` | `toString()` Get a String representation of this Stripe

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Stripe

    public Stripe()

  Default constructor

### Stripe

    public Stripe(IMarkupKind k,
                  int i)

  Stripe constructor when the stripe is of the minimum depth (1).

Parameters:
  `k` - The kind of stripe
  `i` - The offset down the bar where the stripe starts

### Stripe

    public Stripe(IMarkupKind k,
                  int o,
                  int d)

  Stripe constructor where the kind, offset and depth can be specified.

Parameters:
  `k` - The kind of the stripe
  `o` - The offset down the bar where the stripe starts
  `d` - The depth of the stripe

### Stripe

    public Stripe(java.util.List ks,
                  int o,
                  int d)

  Stripe constructor where the kinds, offset and depth can be specified. The input list 'kinds' should be a list of strings.

Parameters:
  `ks` - The kinds of the stripe, should be strings
  `o` - The offset down the bar where the stripe starts
  `d` - The depth of the stripe

Method Detail

### equals

    public boolean equals(java.lang.Object that)

  Returns true if the given Object is equal to this stripe

  Parameters:
    `that` -
  Returns:
    true iff the given Object is equal to this stripe

### getKinds

    public java.util.List getKinds()

  Getter for the kinds of this stripe.

  Returns:
    List of strings representing kinds

### addKinds

    public void addKinds(java.util.List list)

  Add the given kinds to this stripe

  Parameters:
    `list` -

### setKinds

    public void setKinds(java.util.List list)

  Set the list of kinds for this Stripe to the given argument

  Parameters:
    `list` -

### getOffset

    public int getOffset()

  Get the offset for this Stripe

  Returns:
    the offset for this Stripe

### getDepth

    public int getDepth()

  Get this Stripe's depth

  Returns:
    this Stripe's depth

### toString

    public java.lang.String toString()

  Get a String representation of this Stripe

### stringifyKinds

    public java.lang.String stringifyKinds()

  Get a string representation of the kinds in this Stripe

  Returns:
    a string representation of the kinds in this Stripe

### setOffset

    public void setOffset(int offset)

  Set the offset for this Stripe

  Parameters:
    `offset` -

### setDepth

    public void setDepth(int i)

  Set the depth for this Stripe

  Parameters:
    `i` -

### getToolTip

    public java.lang.String getToolTip()

  Get the tooltip for this Stripe, which is a list of its kinds

### hasKind

    public boolean hasKind(IMarkupKind kind)

  Returns true if this Stripe has the given kind

  Parameters:
    `kind` -
  Returns:
    true iff this Stripe has the given kind

### compareTo

    public int compareTo(java.lang.Object other)

  Compare this Stripe to another Object, which should be a Stripe. Returns -1 if this stripe is considered less than the argument, 0 if the are considered equal and 1 if this Stripe is greater than the argument Stripe.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD